# Enumeration: AppleError

iOS

## Table of contents

### Enumeration members

- [CANCELED](AppleError.md#canceled)
- [FAILED](AppleError.md#failed)
- [INVALID\_RESPONSE](AppleError.md#invalid_response)
- [NOT\_HANDLED](AppleError.md#not_handled)
- [UNKNOWN](AppleError.md#unknown)

## Enumeration members

### CANCELED

• **CANCELED** = `"1001"`

The user canceled the authorization attempt.

#### Defined in

[index.d.ts:135](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L135)

___

### FAILED

• **FAILED** = `"1004"`

The authorization attempt failed.

#### Defined in

[index.d.ts:150](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L150)

___

### INVALID\_RESPONSE

• **INVALID\_RESPONSE** = `"1002"`

The authorization request received an invalid response.

#### Defined in

[index.d.ts:140](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L140)

___

### NOT\_HANDLED

• **NOT\_HANDLED** = `"1003"`

The authorization request wasn't handled.

#### Defined in

[index.d.ts:145](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L145)

___

### UNKNOWN

• **UNKNOWN** = `"1000"`

The authorization attempt failed for an unknown reason.

#### Defined in

[index.d.ts:130](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L130)
