# Enumeration: AppleRequestOperation

## Table of contents

### Enumeration members

- [IMPLICIT](AppleRequestOperation.md#implicit)
- [LOGIN](AppleRequestOperation.md#login)
- [LOGOUT](AppleRequestOperation.md#logout)
- [REFRESH](AppleRequestOperation.md#refresh)

## Enumeration members

### IMPLICIT

• **IMPLICIT** = `0`

An operation that depends on the particular kind of credential provider.

#### Defined in

[index.d.ts:157](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L157)

___

### LOGIN

• **LOGIN** = `1`

An operation used to authenticate a user.

#### Defined in

[index.d.ts:162](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L162)

___

### LOGOUT

• **LOGOUT** = `3`

An operation that ends an authenticated session.

#### Defined in

[index.d.ts:172](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L172)

___

### REFRESH

• **REFRESH** = `2`

An operation that refreshes the logged-in user’s credentials.

#### Defined in

[index.d.ts:167](https://github.com/invertase/react-native-apple-authentication/blob/86e8b17/lib/index.d.ts#L167)
